<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:49 CET 2016 -->
<title>com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents (QA API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/maintabset/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0010_LaunchViewFromMenuWidget.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0010_LaunchViewFromMenuWidget</a></td>
<td class="colLast">
<div class="block">Test launching a view from the Menu widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0020_LaunchViewFromQuickLaunchWidget.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0020_LaunchViewFromQuickLaunchWidget</a></td>
<td class="colLast">
<div class="block">Test launching a view from the Quick Launch widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0030_LaunchViewFromCreateNewRecordWidget.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0030_LaunchViewFromCreateNewRecordWidget</a></td>
<td class="colLast">
<div class="block">Test launching a view from the Create New widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0040_ChangeProfileInformation.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0040_ChangeProfileInformation</a></td>
<td class="colLast">
<div class="block">Test the profile information change from the user profile widget added by Navigation Bar
 Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0050_ChangePassword.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0050_ChangePassword</a></td>
<td class="colLast">
<div class="block">Test the password change from the user profile widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0060_DisplayAndHideQuickLaunch.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0060_DisplayAndHideQuickLaunch</a></td>
<td class="colLast">
<div class="block">Test displaying and hiding the Quick Launch widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0070_DisplayAndHideCreateNew.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0070_DisplayAndHideCreateNew</a></td>
<td class="colLast">
<div class="block">Test displaying and hiding the Quick Launch widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0080_DisplayAndHideMenu.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0080_DisplayAndHideMenu</a></td>
<td class="colLast">
<div class="block">Test displaying and hiding the Menu widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0090_OpenAlertsFromNavigationBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0090_OpenAlertsFromNavigationBar</a></td>
<td class="colLast">
<div class="block">Test the display of the Alert tab using the Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0100_OpenHelpWidgetWithNoWindowsOpen.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0100_OpenHelpWidgetWithNoWindowsOpen</a></td>
<td class="colLast">
<div class="block">Test the display of the Help widget using the Navigation Bar Components module when no windows
 are opened.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0110_OpenHelpWindow.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0110_OpenHelpWindow</a></td>
<td class="colLast">
<div class="block">Test the display of the help widget using the Navigation Bar Components module with windows
 opened.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0120_OpenAndCloseAboutPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0120_OpenAndCloseAboutPopUp</a></td>
<td class="colLast">
<div class="block">Test the open and close of the about pop up from the help widget in the Navigation Bar.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0130_DisplayAndHideHelpWidget.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0130_DisplayAndHideHelpWidget</a></td>
<td class="colLast">
<div class="block">Test displaying and hiding the Help widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0140_CheckYourCompanyLogo.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0140_CheckYourCompanyLogo</a></td>
<td class="colLast">
<div class="block">Test displaying and hiding the Help widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0150_DisplayAndHideUserProfileTabs.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0150_DisplayAndHideUserProfileTabs</a></td>
<td class="colLast">
<div class="block">Test the display and hide of the UserProfile tab set, the Password tab and the Profile tab from
 the user profile widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0160_ChangeDefaultProfile.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0160_ChangeDefaultProfile</a></td>
<td class="colLast">
<div class="block">Test the change of the profile information with the set as default option checked from the user
 profile widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0170_ChangeProfileWithDefaultUnchecked.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0170_ChangeProfileWithDefaultUnchecked</a></td>
<td class="colLast">
<div class="block">Test the change of the profile information with the set as default option unchecked from the user
 profile widget added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0180_CancelProfileChanges.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0180_CancelProfileChanges</a></td>
<td class="colLast">
<div class="block">Test the cancel of information changes from the user profile widget added by Navigation Bar
 Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0190_ChangePasswordWithIncorrectConfirmation.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0190_ChangePasswordWithIncorrectConfirmation</a></td>
<td class="colLast">
<div class="block">Test the password change with an incorrect password confirmation from the user profile widget
 added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0200_ChangePasswordWithIncorrectPassword.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0200_ChangePasswordWithIncorrectPassword</a></td>
<td class="colLast">
<div class="block">Test the password change with an incorrect password confirmation from the user profile widget
 added by Navigation Bar Components module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0210_CancelPasswordChange.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0210_CancelPasswordChange</a></td>
<td class="colLast">
<div class="block">Test the cancel of password change from the user profile widget added by Navigation Bar
 Components module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0220_AssertProfileOrganizations.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0220_AssertProfileOrganizations</a></td>
<td class="colLast">
<div class="block">Assert the organizations available on the profile selection widget.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NAV0230_AssertProfileWarehouses.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NAV0230_AssertProfileWarehouses</a></td>
<td class="colLast">
<div class="block">Assert the warehouses available on the profile selection widget.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/NavigationBarComponentsSuite.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.navigationbarcomponents">NavigationBarComponentsSuite</a></td>
<td class="colLast">
<div class="block">Navigation Bar Components test suite.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/maintabset/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/testsuites/navigationbarcomponents/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
